<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionTakeHybridAttachment.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d71/_action_take_hybrid_attachment_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionTakeHybridAttachment.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d71/_action_take_hybrid_attachment_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d0d/class_action_take_hybrid_attachment.html">ActionTakeHybridAttachment</a>: <a class="code hl_class" href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a07375597c950c1692e8c32b13ea430d2">    4</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a07375597c950c1692e8c32b13ea430d2">m_ItemName</a> = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#abb673a829029058a1552db94c58b595b">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#abb673a829029058a1552db94c58b595b">ActionTakeHybridAttachment</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a>        = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_PICKUP_INVENTORY;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">m_CommandUIDProne</a>   = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_PICKUP_INVENTORY;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#take&quot;</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a1647bed69ab3fc63b86a004888f7bc11">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a1647bed69ab3fc63b86a004888f7bc11">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a546b1b90242006aa68bc0c65c5c3abca">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a546b1b90242006aa68bc0c65c5c3abca">HasProneException</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a214ae5bb48442bdbb26156164d8b90b1">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a214ae5bb48442bdbb26156164d8b90b1">ActionConditionContinue</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#ac467cbf717e013a886d65f53911c3af7">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#ac467cbf717e013a886d65f53911c3af7">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> tgt_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">if</span> ( tgt_entity &amp;&amp; <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a>.Cast(tgt_entity) &amp;&amp;!tgt_entity.IsBeingPlaced() )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordtype">string</span> component_name = tgt_entity.GetActionComponentName( target.GetComponentIndex() );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="comment">/*if (!tgt_entity.GetInventory().HasInventorySlot(InventorySlots.GetSlotIdFromString(component_name)))</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="comment">                return false;*/</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> attachment = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(tgt_entity.FindAttachmentBySlotName(component_name));</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">if</span> ( attachment &amp;&amp; player.GetInventory().CanAddEntityIntoInventory(attachment) &amp;&amp; attachment.<a class="code hl_function" href="../../de/d7a/class_item_base.html#ac305409027fa3bf997cd284f72994962">IsTakeable</a>() )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a0310afab44f9a43f3463f098cfb55c7d">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a0310afab44f9a43f3463f098cfb55c7d">CanBeUsedOnBack</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a6c9339f3b6bcbf275423dcb273987b9d">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a6c9339f3b6bcbf275423dcb273987b9d">InventoryReservation</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordtype">bool</span> success = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> tgt_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordtype">string</span> component_name = tgt_entity.GetActionComponentName( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetComponentIndex() );</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> attachment;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> ( tgt_entity &amp;&amp; <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.CastTo(attachment, tgt_entity.FindAttachmentBySlotName(component_name)) )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetInventory().FindFreeLocationFor( attachment , <a class="code hl_enumeration" href="../../d6/d52/_inventory_location_8c.html#a71733d54d455853550df7ae602bf23dd">FindInventoryLocationType</a>.ANY, il );</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetInventory().HasInventoryReservation( attachment, il) )</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                success = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetInventory().AddInventoryReservationEx( attachment, il, <a class="code hl_class" href="../../dc/d11/class_game_inventory.html">GameInventory</a>.<a class="code hl_variable" href="../../dc/d11/class_game_inventory.html#a9ee846eef87d396aeb2b64c720677873">c_InventoryReservationTimeoutMS</a>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }   </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> ( success )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">if</span>( il )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a9c24c56ef96a6ceb1e1aebf12e5db717">m_ReservedInventoryLocations</a>.Insert(il);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">return</span> success;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a4a0d6184b103c7aaa79c590f6a3d2291">   87</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a4a0d6184b103c7aaa79c590f6a3d2291">OnExecuteServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="comment">//Debug.Log(&quot;[Action DEBUG] Start time stamp: &quot; + action_data.m_Player.GetSimulationTimeStamp());</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> tgt_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordtype">string</span> component_name = tgt_entity.GetActionComponentName( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetComponentIndex() );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> attachment;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> ( tgt_entity &amp;&amp; <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.CastTo(attachment, tgt_entity.FindAttachmentBySlotName(component_name)) )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a9c24c56ef96a6ceb1e1aebf12e5db717">m_ReservedInventoryLocations</a>.Get(0); </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> targetInventoryLocation = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            attachment.GetInventory().GetCurrentInventoryLocation(targetInventoryLocation);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a8a336c2b2c1543ef65130b3f4fdeca66">ClearInventoryReservationEx</a>(action_data);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="comment">//SplitItemUtils.TakeOrSplitToInventoryLocation( action_data.m_Player, il );</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <span class="keywordtype">float</span> stackable = attachment.GetTargetQuantityMax(il.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a50993cb28f32ef7e6a03988d9752cda4">GetSlot</a>());</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordflow">if</span>( stackable == 0 || stackable &gt;= attachment.GetQuantity() )</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.PredictiveTakeToDst(targetInventoryLocation, il);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                attachment.SplitIntoStackMaxToInventoryLocationClient( il );</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="comment">//action_data.m_Player.PredictiveTakeToDst(targetInventoryLocation, il);</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a11af470981e0b04c391c2f5593174233">  119</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d0d/class_action_take_hybrid_attachment.html#a11af470981e0b04c391c2f5593174233">OnExecuteClient</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="comment">//Debug.Log(&quot;[Action DEBUG] Start time stamp: &quot; + action_data.m_Player.GetSimulationTimeStamp());</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> tgt_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordtype">string</span> component_name = tgt_entity.GetActionComponentName( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetComponentIndex() );</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> attachment;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">if</span> ( tgt_entity &amp;&amp; <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.CastTo(attachment, tgt_entity.FindAttachmentBySlotName(component_name)) )</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a9c24c56ef96a6ceb1e1aebf12e5db717">m_ReservedInventoryLocations</a>.Get(0);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> targetInventoryLocation = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            attachment.GetInventory().GetCurrentInventoryLocation(targetInventoryLocation);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a8a336c2b2c1543ef65130b3f4fdeca66">ClearInventoryReservationEx</a>(action_data);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <span class="comment">//SplitItemUtils.TakeOrSplitToInventoryLocation( action_data.m_Player, il );</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <span class="comment">//action_data.m_Player.PredictiveTakeToDst(targetInventoryLocation, il);</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <span class="keywordtype">float</span> stackable = attachment.GetTargetQuantityMax(il.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a50993cb28f32ef7e6a03988d9752cda4">GetSlot</a>());</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <span class="keywordflow">if</span>( stackable == 0 || stackable &gt;= attachment.GetQuantity() )</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.PredictiveTakeToDst(targetInventoryLocation, il);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>                attachment.SplitIntoStackMaxToInventoryLocationClient( il );</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a8a336c2b2c1543ef65130b3f4fdeca66"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a8a336c2b2c1543ef65130b3f4fdeca66">ClearInventoryReservationEx</a></div><div class="ttdeci">void ClearInventoryReservationEx(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00830">ActionBase.c:830</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_inventory_location_8c_html_a71733d54d455853550df7ae602bf23dd"><div class="ttname"><a href="../../d6/d52/_inventory_location_8c.html#a71733d54d455853550df7ae602bf23dd">FindInventoryLocationType</a></div><div class="ttdeci">FindInventoryLocationType</div><div class="ttdoc">flags for searching locations in inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00015">InventoryLocation.c:16</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_a9c24c56ef96a6ceb1e1aebf12e5db717"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a9c24c56ef96a6ceb1e1aebf12e5db717">ActionData::m_ReservedInventoryLocations</a></div><div class="ttdeci">ref array&lt; ref InventoryLocation &gt; m_ReservedInventoryLocations</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00035">ActionBase.c:35</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00054">ActionInteractBase.c:55</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html">ActionTakeHybridAttachment</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00002">ActionTakeHybridAttachment.c:3</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_a0310afab44f9a43f3463f098cfb55c7d"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#a0310afab44f9a43f3463f098cfb55c7d">ActionTakeHybridAttachment::CanBeUsedOnBack</a></div><div class="ttdeci">override bool CanBeUsedOnBack()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00050">ActionTakeHybridAttachment.c:50</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_a07375597c950c1692e8c32b13ea430d2"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#a07375597c950c1692e8c32b13ea430d2">ActionTakeHybridAttachment::m_ItemName</a></div><div class="ttdeci">string m_ItemName</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00004">ActionTakeHybridAttachment.c:4</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_a11af470981e0b04c391c2f5593174233"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#a11af470981e0b04c391c2f5593174233">ActionTakeHybridAttachment::OnExecuteClient</a></div><div class="ttdeci">override void OnExecuteClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00119">ActionTakeHybridAttachment.c:119</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_a1647bed69ab3fc63b86a004888f7bc11"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#a1647bed69ab3fc63b86a004888f7bc11">ActionTakeHybridAttachment::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00013">ActionTakeHybridAttachment.c:13</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_a214ae5bb48442bdbb26156164d8b90b1"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#a214ae5bb48442bdbb26156164d8b90b1">ActionTakeHybridAttachment::ActionConditionContinue</a></div><div class="ttdeci">override bool ActionConditionContinue(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00024">ActionTakeHybridAttachment.c:24</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_a4a0d6184b103c7aaa79c590f6a3d2291"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#a4a0d6184b103c7aaa79c590f6a3d2291">ActionTakeHybridAttachment::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00087">ActionTakeHybridAttachment.c:87</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_a546b1b90242006aa68bc0c65c5c3abca"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#a546b1b90242006aa68bc0c65c5c3abca">ActionTakeHybridAttachment::HasProneException</a></div><div class="ttdeci">override bool HasProneException()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00019">ActionTakeHybridAttachment.c:19</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_a6c9339f3b6bcbf275423dcb273987b9d"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#a6c9339f3b6bcbf275423dcb273987b9d">ActionTakeHybridAttachment::InventoryReservation</a></div><div class="ttdeci">override bool InventoryReservation(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00055">ActionTakeHybridAttachment.c:55</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_abb673a829029058a1552db94c58b595b"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#abb673a829029058a1552db94c58b595b">ActionTakeHybridAttachment::ActionTakeHybridAttachment</a></div><div class="ttdeci">void ActionTakeHybridAttachment()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00006">ActionTakeHybridAttachment.c:6</a></div></div>
<div class="ttc" id="aclass_action_take_hybrid_attachment_html_ac467cbf717e013a886d65f53911c3af7"><div class="ttname"><a href="../../d8/d0d/class_action_take_hybrid_attachment.html#ac467cbf717e013a886d65f53911c3af7">ActionTakeHybridAttachment::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d71/_action_take_hybrid_attachment_8c_source.html#l00029">ActionTakeHybridAttachment.c:29</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_aff0b345c6a0a8469dfb7bc27365a11bd"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">AnimatedActionBase::m_CommandUIDProne</a></div><div class="ttdeci">protected int m_CommandUIDProne</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00126">AnimatedActionBase.c:126</a></div></div>
<div class="ttc" id="aclass_base_building_base_html"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00001">Fence.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_cursor_html"><div class="ttname"><a href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00001">CCTCursor.c:2</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html">GameInventory</a></div><div class="ttdoc">script counterpart to engine's class Inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00030">Inventory.c:31</a></div></div>
<div class="ttc" id="aclass_game_inventory_html_a9ee846eef87d396aeb2b64c720677873"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#a9ee846eef87d396aeb2b64c720677873">GameInventory::c_InventoryReservationTimeoutMS</a></div><div class="ttdeci">const int c_InventoryReservationTimeoutMS</div><div class="ttdoc">reservations</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00609">Inventory.c:609</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_a50993cb28f32ef7e6a03988d9752cda4"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#a50993cb28f32ef7e6a03988d9752cda4">InventoryLocation::GetSlot</a></div><div class="ttdeci">proto native int GetSlot()</div><div class="ttdoc">returns slot id if current type is Attachment</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_item_base_html_ac305409027fa3bf997cd284f72994962"><div class="ttname"><a href="../../de/d7a/class_item_base.html#ac305409027fa3bf997cd284f72994962">ItemBase::IsTakeable</a></div><div class="ttdeci">override bool IsTakeable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/ddd/_trap_spawn_base_8c_source.html#l00181">TrapSpawnBase.c:181</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../d0/d71/_action_take_hybrid_attachment_8c.html">ActionTakeHybridAttachment.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
